Package io.vertx.rxjava3.httpproxy.interceptors

## Class HeadersInterceptor

- java.lang.Object
- - io.vertx.rxjava3.httpproxy.interceptors.HeadersInterceptor

-     public class HeadersInterceptor
      extends Object

  Used to create interceptors to modify request and response headers.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<HeadersInterceptor>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HeadersInterceptor​(HeadersInterceptor delegate)` |
    `HeadersInterceptor​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ProxyInterceptor` | `changeHeaders​(Handler<MultiMap> changeRequestHeaders, Handler<MultiMap> changeResponseHeaders)` | Apply callbacks to change the request and response headers when the proxy receives them.
    `boolean` | `equals​(Object o)` |
    `static ProxyInterceptor` | `filterHeaders​(Set<CharSequence> requestHeaders, Set<CharSequence> responseHeaders)` | Filter the request and response headers in the given sets.
    `static ProxyInterceptor` | `filterRequestHeaders​(Set<CharSequence> requestHeaders)` | Filter the request headers in the given set.
    `static ProxyInterceptor` | `filterResponseHeaders​(Set<CharSequence> responseHeaders)` | Filter the response headers in the given set.
    `HeadersInterceptor` | `getDelegate()` |
    `int` | `hashCode()` |
    `static HeadersInterceptor` | `newInstance​(HeadersInterceptor arg)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<HeadersInterceptor> __TYPE_ARG

  - ### Constructor Detail

    - #### HeadersInterceptor

          public HeadersInterceptor​(HeadersInterceptor delegate)

    - #### HeadersInterceptor

          public HeadersInterceptor​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public HeadersInterceptor getDelegate()

    - #### changeHeaders

          public static ProxyInterceptor changeHeaders​(Handler<MultiMap> changeRequestHeaders,
                                                       Handler<MultiMap> changeResponseHeaders)

      Apply callbacks to change the request and response headers when the proxy receives them.
      Parameters:
        `changeRequestHeaders` - the operation to apply to the request headers
        `changeResponseHeaders` - the operation to apply to the response headers
      Returns:
        the created interceptor

    - #### filterRequestHeaders

          public static ProxyInterceptor filterRequestHeaders​(Set<CharSequence> requestHeaders)

      Filter the request headers in the given set.
      Parameters:
        `requestHeaders` - a set of the headers that need to be filtered
      Returns:
        the created interceptor

    - #### filterResponseHeaders

          public static ProxyInterceptor filterResponseHeaders​(Set<CharSequence> responseHeaders)

      Filter the response headers in the given set.
      Parameters:
        `responseHeaders` - a set of the headers that need to be filtered
      Returns:
        the created interceptor

    - #### filterHeaders

          public static ProxyInterceptor filterHeaders​(Set<CharSequence> requestHeaders,
                                                       Set<CharSequence> responseHeaders)

      Filter the request and response headers in the given sets.
      Parameters:
        `requestHeaders` - a set of the request headers that need to be filtered
        `responseHeaders` - a set of the response headers that need to be filtered
      Returns:
        the created interceptor

    - #### newInstance

          public static HeadersInterceptor newInstance​(HeadersInterceptor arg)